精华内容
下载资源
问答
  • 方式一:传统方法一、启动cd usr/local/nginx/sbin./nginx二、重启更改配置重启nginxkill -HUP 主进程号或进程号文件路径或者使用cd /usr/local/nginx/sbin./nginx -s reload判断配置文件是否正确nginx -t -c /usr/...

    方式一:传统方法

    一、启动

    fa77209867e31c59690637f3c5e8f17b.png

    cd usr/local/nginx/sbin

    ./nginx

    二、重启

    更改配置重启nginx

    kill -HUP 主进程号或进程号文件路径

    或者使用

    cd /usr/local/nginx/sbin

    ./nginx -s reload

    判断配置文件是否正确

    nginx -t -c /usr/local/nginx/conf/nginx.conf

    或者

    cd /usr/local/nginx/sbin

    ./nginx -t

    三、关闭

    查询nginx主进程号

    ps -ef | grep nginx

    从容停止   kill -QUIT 主进程号

    快速停止   kill -TERM 主进程号

    强制停止   kill -9 nginx

    若nginx.conf配置了pid文件路径,如果没有,则在logs目录下

    kill -信号类型 '/usr/local/nginx/logs/nginx.pid'

    方式二:通过配置/etc/init.d/nginx文件来控制

    这里使用的是编写shell脚本的方式来处理

    vi /etc/init.d/nginx  (输入下面的代码)

    #!/bin/bash

    # nginx Startup script for the Nginx HTTP Server

    # it is v.0.0.2 version.

    # chkconfig: - 85 15

    # description: Nginx is a high-performance web and proxy server.

    #              It has a lot of features, but it's not for everyone.

    # processname: nginx

    # pidfile: /var/run/nginx.pid

    # config: /usr/local/nginx/conf/nginx.conf

    nginxd=/usr/local/nginx/sbin/nginx

    nginx_config=/usr/local/nginx/conf/nginx.conf

    nginx_pid=/var/run/nginx.pid

    RETVAL=0

    prog="nginx"

    # Source function library.

    . /etc/rc.d/init.d/functions

    # Source networking configuration.

    . /etc/sysconfig/network

    # Check that networking is up.

    [ ${NETWORKING} = "no" ] && exit 0

    [ -x $nginxd ] || exit 0

    # Start nginx daemons functions.

    start() {

    if [ -e $nginx_pid ];then

    echo "nginx already running...."

    exit 1

    fi

    echo -n $"Starting $prog: "

    daemon $nginxd -c ${nginx_config}

    RETVAL=$?

    echo

    [ $RETVAL = 0 ] && touch /var/lock/subsys/nginx

    return $RETVAL

    }

    # Stop nginx daemons functions.

    stop() {

    echo -n $"Stopping $prog: "

    killproc $nginxd

    RETVAL=$?

    echo

    [ $RETVAL = 0 ] && rm -f /var/lock/subsys/nginx /var/run/nginx.pid

    }

    # reload nginx service functions.

    reload() {

    echo -n $"Reloading $prog: "

    #kill -HUP `cat ${nginx_pid}`

    killproc $nginxd -HUP

    RETVAL=$?

    echo

    }

    # See how we were called.

    case "$1" in

    start)

    start

    ;;

    stop)

    stop

    ;;

    reload)

    reload

    ;;

    restart)

    stop

    start

    ;;

    status)

    status $prog

    RETVAL=$?

    ;;

    *)

    echo $"Usage: $prog {start|stop|restart|reload|status|help}"

    exit 1

    esac

    exit $RETVAL

    :wq  保存并退出

    设置文件的访问权限

    chmod a+x /etc/init.d/nginx   (a+x ==> all user can execute  所有用户可执行)

    这样在控制台就很容易的操作nginx了:查看Nginx当前状态、启动Nginx、停止Nginx、重启Nginx…

    fa77209867e31c59690637f3c5e8f17b.png

    同样的修改了nginx的配置文件nginx.conf,也可以使用上面的命令重新加载新的配置文件并运行,

    配置开机自启动:

    方式一:在/etc/rc.local中配置

    可以将此命令加入到rc.local文件中,这样开机的时候nginx就默认启动了

    vi /etc/rc.local

    加入一行  /etc/init.d/nginx start    保存并退出,下次重启会生效。

    方式二:将nginx配置成自启动的服务

    1.添加至服务管理列表,并让其开机自动启动

    [root@nginx ~]# chkconfig --add nginx

    [root@nginx ~]# chkconfig nginx on

    [root@nginx ~]# chkconfig nginx --list

    nginx              0:关闭    1:关闭    2:启用    3:启用    4:启用    5:启用    6:关闭

    2、nginx启动、停止、无间断服务重启

    [root@example ~]# service nginx start

    [root@example ~]# service nginx stop

    [root@example ~]# service nginx reload

    3.查看一下端口

    [root@nginx ~]# netstat -ntlp | grep :80

    tcp        0      0 0.0.0.0:80                  0.0.0.0:*                   LISTEN      3889/nginx

    对于其他服务也同样适用,比如Mysql,php-fpm等等

    10.测试一下

    fa77209867e31c59690637f3c5e8f17b.png

    本文由 CentOS中文站 - 专注Linux技术 作者:centos 发表,其版权均为 CentOS中文站 - 专注Linux技术 所有,文章内容系作者个人观点,不代表 CentOS中文站 - 专注Linux技术 对观点赞同或支持。如需转载,请注明文章来源。

    展开全文
  • Linux下启动和关闭nginx命令

    千次阅读 2021-11-04 17:18:43
    linux 下面启动nginx 和关闭nginx, 查看linux 开放的所有端口netstat -ntpl,重启服务命令 :service network restart 1、进入到安装的目录里面 whereis nginx 2、进入该路径:cd /usr/local/nginx/sbin 3、启动...

    linux 下面启动nginx 和关闭nginx, 查看linux 开放的所有端口netstat -ntpl,重启服务命令 :service network restart


    1、进入到安装的目录里面 whereis nginx

    2、进入该路径:cd   /usr/local/nginx/sbin

    3、启动nginx 命令:  ./nginx   出现下面启动成功

    4、查看nginx 的状态 ps -ef | grep nginx  出现master 则启动成功

    5、关闭nginx 命令 kill -9 进程号,则关闭nginx

    6、停止 nginx 命令: ./nginx -s stop 

    7、重启nginx命令:./nginx -s reload

    展开全文
  • 启动操作/usr/local/nginx/conf/nginx停止操作停止操作是通过向nginx进程发送信号(什么是信号请参阅linux文章)来进行的步骤1:查询nginx主进程号ps-ef|grepnginx在进程列表里面找master进程,它的编号就是主进程号了...

    启动操作

    /usr/local/nginx/conf/nginx

    停止操作

    停止操作是通过向nginx进程发送信号(什么是信号请参阅linux文 章)来进行的

    步骤1:查询nginx主进程号

    ps -ef | grep nginx

    在进程列表里 面找master进程,它的编号就是主进程号了。

    步骤2:发送信号

    从容停止Nginx:

    kill -QUIT 主进程号

    快速停止Nginx:

    kill -TERM 主进程号

    强制停止Nginx

    pkill -9 主进程号

    另外, 若在nginx.conf配置了pid文件存放路径则该文件存放的就是Nginx主进程号,如果没指定则放在nginx的logs目录下。有了pid文 件,我们就不用先查询Nginx的主进程号,而直接向Nginx发送信号了,命令如下:

    kill -信号类型'/usr/local/nginx/logs/nginx.pid'

    平滑重启

    如果更改了配置就要重启Nginx,要先关闭Nginx再打开?不是的,可以向Nginx 发送信号,平滑重启。

    平滑重启命令:

    kill -HUP 住进称号或进程号文件路径

    或者使用

    /usr/nginx/sbin/nginx -s reload

    注意,修改了配置文件后最好先检查一下修改过的配置文件是否正 确,以免重启后Nginx出现错误影响服务器稳定运行。判断Nginx配置是否正确命令如下:

    nginx -t -c /usr/nginx/conf/nginx.conf

    或者

    /usr/nginx/sbin/nginx -t

    停止操作

    停止操作是通过向nginx进程发送信号(什么是信号请参阅linux文 章)来进行的

    步骤1:查询nginx主进程号

    ps -ef | grep nginx

    在进程列表里 面找master进程,它的编号就是主进程号了。

    步骤2:发送信号

    从容停止Nginx:

    kill -QUIT 主进程号

    快速停止Nginx:

    kill -TERM 主进程号

    强制停止Nginx:

    pkill -9 nginx

    另外, 若在nginx.conf配置了pid文件存放路径则该文件存放的就是Nginx主进程号,如果没指定则放在nginx的logs目录下。有了pid文 件,我们就不用先查询Nginx的主进程号,而直接向Nginx发送信号了,命令如下:

    kill -信号类型 '/usr/nginx/logs/nginx.pid'

    平滑重启

    如果更改了配置就要重启Nginx,要先关闭Nginx再打开?不是的,可以向Nginx 发送信号,平滑重启。

    平滑重启命令:

    kill -HUP 住进称号或进程号文件路径

    或者使用

    /usr/nginx/sbin/nginx -s reload

    注意,修改了配置文件后最好先检查一下修改过的配置文件是否正 确,以免重启后Nginx出现错误影响服务器稳定运行。判断Nginx配置是否正确命令如下:

    nginx -t -c /usr/nginx/conf/nginx.conf

    或者

    /usr/nginx/sbin/nginx -t

    平滑升级

    如果服务器正在运行的Nginx要进行升级、添加或删除模块时,我们需 要停掉服务器并做相应修改,这样服务器就要在一段时间内停止服务,Nginx可以在不停机的情况下进行各种升级动作而不影响服务器运行。

    步骤1:

    如 果升级Nginx程序,先用新程序替换旧程序文件,编译安装的话新程序直接编译到Nginx安装目录中。

    步 骤2:执行命令

    kill -USR2 旧版程序的主进程号或进程文件名

    此时旧的Nginx主进程将会把自己的进程文件改名为.oldbin,然后执行新版 Nginx。新旧Nginx会同市运行,共同处理请求。

    这时要逐步停止旧版 Nginx,输入命令:

    kill -WINCH 旧版主进程号

    慢慢旧的工作进程就都会随着任务执行完毕而退出,新版的Nginx的工作进程会逐渐取代旧版 工作进程。

    此 时,我们可以决定使用新版还是恢复到旧版。

    不重载配置启动新/旧工作进程

    kill -HUP 旧/新版主进程号

    从容关闭旧/新进程

    kill -QUIT 旧/新主进程号

    如果此时报错,提示还有进程没有结束就用下面命令先关闭旧/新工作进程,再关闭主进程号:

    kill -TERM 旧/新工作进程号

    这样下来,如果要恢复到旧版本,只需要上面的几个步 骤都是操作新版主进程号,如果要用新版本就上面的几个步骤都操作旧版主进程号就行了。

    上面就是Nginx的一些基本的操作,希望以后Nginx能有更好的方法来处理这些操作, 最好是Nginx的命令而不是向Nginx进程发送系统信号。

    展开全文
  • Nginx关闭方法Windows中关闭nginxLinux关闭nginx: Windows中关闭nginx: 第一种: nginx -s stop 或者 nginx -s quit (1)这两个关闭方法是比较常用的两种,使用这两个命令时必须要在安装包路径下,否则系统...

    Windows中关闭nginx:

    第一种:
    nginx -s stop 或者 nginx -s quit
    (1)这两个关闭方法是比较常用的两种,使用这两个命令时必须要在安装包路径下,否则系统无法找到Nginx;
    (2)这两个命令的区别在于nginx -s stop是快速停止Nginx,而nginx -s quit是有序的停止Nginx,前者可能会导致数据没有完全保存;

    第二种:
    taskkill /F /T /IM nginx.exe
    该指令中参数的含义是:
    /F:指定强制终止进程。
    /T 终止指定的进程和由它启用的子进程。
    /IM imagename 指定要终止的进程的映像名称。通配符 '*'可用来指定所有任务或映像名称。

    这种方法可以直接在cmd命令面板上使用,当第一种方法无效时可以尝试使用此方法,前第一种方法适用于大部分版本的Nginx,但是个别版本的可能不实用,使用taskkill就可解决。

    Linux中关闭nginx:

    Linux中关闭方法有多种,这里只记录关闭进程的方法。步骤如下:

    1,查询nginx主进程号

    ps -ef | grep nginx
    查出有master的进程id,此处为12030
    2,从容停止 kill -QUIT 主进程号
    或者
    快速停止 kill -TERM 主进程号
    执行kill指令,此处pid为12030

    展开全文
  • nginx 关闭后启动失败

    2021-05-13 01:40:22
    [root@RHEL6 init.d]# /usr/local/nginx/sbin/nginx -s reloadnginx: [error] open() "/usr/local/nginx/logs/nginx.pid" failed (2: No such file or directory)[root@RHEL6 init.d]# /usr/local/nginx/ssbin/ ...
  • Linux下Nginx开关,正常方式是这样({nginx}-为Nginx安装路径):{nginx}/sbin/nginx #启动{nginx}/sbin/nginx -s stop #停止这种方式带来很多不便,因此介绍一种快捷启动关闭Nginx的方式。在/etc/init.d下创建...
  • 启动操作nginx -c /usr/local/nginx/conf/nginx.conf-c参数指定了要加载的nginx配置文件路径停止操作停止操作是通过向nginx进程发送信号来进行的步骤1:查询nginx主进程号ps -ef | grep nginx在进程列表里 面找...
  • linux nginx启动 重启 关闭命令:nginx -s reload :修改配置后重新加载生效nginx -s reopen :重新打开日志文件nginx -t -c /path/to/nginx.conf 测试nginx配置文件是否正确启动操作-c参数指定了要加载的nginx配置...
  • 启动操作nginx-c/usr/local/nginx/conf/nginx.conf-c参数指定了要加载的nginx配置文件路径停止操作停止操作是通过向nginx进程发送信号(什么是信号请参阅linux文章)来进行的步骤1:查询nginx主进程号ps-ef|grepnginx...
  • Nginx的启动、关闭和平滑重启在完成对nginx.conf文件的配置后,就可以启动服务了。Nginx自身提供了一些用于日常维护的命令,下面进行详细的介绍。1. Nginx基本信息检查(1)检查Nginx配置文件的正确性Nginx提供的配置...
  • linux下查找和启动关闭nginx命令一 查找nginx所在的目录二 启动nginx三 关闭nginx四 重启nginx 一 查找nginx所在的目录 查找安装的目录命令:whereis nginx 二 启动nginx 启动nginx命令:/usr/local/nginx/sbin/...
  • nginx作为使用最为广泛的http服务器,本文系统介绍了其在Linux的最常用操作,为大家提供了相关功能速查手册。内容主要包括了,日常操作、常见配置、常见错误、相关资源三部分内容。 Nginx整体介绍 本文相关前提...
  • linux重启nginx命令

    2020-12-21 01:33:50
    它运行在UNIX,GNU /linux,BSD 各种版本,Mac OS X,Solaris和Windows。根据调查统计,6%的网站使用Nginx Web服务器。Nginx是少数能处理C10K问题的服务器之一。跟传统的服务器不同,Nginx不依赖线程来处理请求。相反,...
  • Linux安装Nginx

    2021-05-17 23:56:35
    下载对应的nginx包,推荐使用稳定版本2、上传nginxlinux系统3、安装依赖环境(1)安装gcc环境yum install gcc-c++(2)安装PCRE库,用于解析正则表达式yum install -y pcre pcre-devel(3)zlib压缩和解压缩依赖,yum ...
  • linux nginx启动 重启 关闭命令 启动 启动代码格式:nginx安装目录地址 -c nginx配置文件地址 例如: [root@LinuxServer sbin]# /usr/local/nginx/sbin/nginx -c /usr/local/nginx/conf/nginx.conf 停止 nginx的停止...
  • 启动启动代码格式:nginx安装目录地址 -c nginx配置文件地址例如:[root@LinuxServer sbin]# /usr/local/nginx/sbin/nginx -c /usr/local/nginx/conf/nginx.conf停止nginx的停止有三种方式:从容停止1、查看进程号...
  • Linuxnginx部署vue项目

    千次阅读 2020-12-29 13:22:25
    文章目录一、Nginx安装二、vue项目配置 一、Nginx安装 两种方式 1、下载nginx,然后移动到/usr/local 下 nginx下载地址:https://nginx.org/download/ 2、yum下载 安装依赖包 yum -y install gcc zlib zlib-devel ...
  • Linux安装Nginx详细步骤

    2021-05-14 20:53:47
    1、创建两台虚拟机,分别为主机和从机,区别两台虚拟机的IP地址2、将Nginx素材内容上传到/usr/local目录(pcre,zlib,openssl,nginx)3、安装pcre库3.1 cd到/usr/local目录3.2 tar -zxvf pcre-8.36.tar.gz 解压3.3 cd ...
  • #下载nginx稳定版 #进入/usr/local目录 cd /usr/local #创建nginx文件夹 mkdir nginx #进入/usr/local/nginx的目录 cd /usr/local/nginx #解压下载好的压缩包 wget http://nginx.org/download/nginx-1.16.
  • 设置开机自启动 ystemctl enable nginx.service 停止开机自启动 systemctl disable nginx.service 查看当前状态 ...systemctl status nginx....启动:代码格式:nginx安装目录地址 -c nginx配置文件地址 /usr/loca
  • 1、下载源码包解压编译1、在官网下载使用Xftp上传到linux上(不推荐使用)2、(推荐)在版本上选好,直接命令下载,如下:(下载nginx-1.16.1.tar.gz版本)建议到home目录执行该命令,方便找到wget ...已安装好3、解压tar xvf...
  • linux下隐藏nginx版本号

    2021-08-20 12:52:52
    作为安全需要,nginx中间件也不能暴露出版本号 1、打开nginx.conf文件 vi /usr/local/nginx/conf/nginx.conf 2、在nginx.conf中,添加 server_tokens off; 在nginx.conf 配置文件中,http区段中插入“server_...
  • Nginx 启动脚本/重启脚本 - [nginx]第一步先运行命令关闭nginxsudo kill `cat /usr/local/nginx/logs/nginx.pid`第二步vi /etc/init.d/nginx输入以下内容#!/bin/sh## nginx - this script starts and stops the ...
  • nginx配置文件详解 1、nginx的配置文件路径: /usr/local/nginx/conf/nginx.conf 2、配置文件由三大模块组成 (1)全局模块:在events块之前的配置,设置全局生效的配置 (2)events块: (3)http块:
  • 前言:最近在部署我的hexo静态博客到腾讯云服务器上,用到了很多nginx的知识,在此做下总结:刚接触的linux服务器上,nginx配置乱的有点令人发指,就把老的卸载了重新装一下。1、卸载yum remove nginx2、安装yum ...
  • 下文来为各位介绍一篇在linux搭建nginx WEB服务器的教程,如果各位不想使用apache环境了,想用nginx环境就可以和小编一起来看看。1、下载nginx命令:wget http://nginx.org/download/nginx-0.8.54.tar.gz2、解压命令...
  • tomcat的启动,进入到usr/local/...nginx的启动和关闭: 同样进入到sbin中,但是sbin中没有现成的文件运行. 那么久需要自己手敲: 启动的话是: ./nginx.停止的话是: ./nginx -s stop. ps: 修改端口后,要重启服务生效. ...
  • 1.首先需要一台Linux服务器(如果...3.然后把nginx拷贝到你的Linux上 (这里推荐是 shell、xftp) 4.使用xftp把下载好的nginx.tar.gz 包考到到root目录下 5.是用解压命令解压nginx 包 tar -zxvf nginx1.19.6.tar.g

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 77,095
精华内容 30,838
关键字:

linux关闭nginx

linux 订阅